package cn.iocoder.yudao.module.system.controller.app.attendance;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.web.core.util.WebFrameworkUtils;
import cn.iocoder.yudao.module.system.controller.app.attendance.dto.AttendancePunchPageDTO;
import cn.iocoder.yudao.module.system.controller.app.attendance.vo.AttendancePunchPageVO;
import cn.iocoder.yudao.module.system.service.attendance.AttendanceService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Tag(name = "考勤 App - 考勤管理")
@RestController
@RequestMapping("/system/attendance")
@Validated
public class AttendanceController {

    @Resource
    private AttendanceService attendanceService;

    @GetMapping("/getPunchPage")
    @Operation(summary = "获取考勤页面")
    public CommonResult<AttendancePunchPageVO> getPunchPage(@ModelAttribute AttendancePunchPageDTO dto) {
        Long userId = WebFrameworkUtils.getLoginUserId();
        AttendancePunchPageVO vo = attendanceService.getPunchPage(dto.setUserId(userId));
        return success(vo);
    }

}
