package cn.iocoder.yudao.module.system.dal.dataobject.attendance.groupshiftitem;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 考勤组班次子表 DO
 *
 * @author 艾楷
 */
@TableName("kq_attendance_group_shift_item")
@KeySequence("kq_attendance_group_shift_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceGroupShiftItemDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 考勤组id
     */
    private Long attendanceGroupId;
    /**
     * 班次id
     */
    private Long kqAttendanceGroupShiftId;
    /**
     * 级别 从1到～ 排序用
     */
    private Integer level;
    /**
     * 开始打卡时间
     */
    private String beginTime;
    /**
     * 结束打卡时间
     */
    private String endTime;
    /**
     * 是否必须 0否 1是 (如果不是必须系统会自动打卡)
     */
    private Integer mustFlag;
    /**
     * 上班前打卡时间（分钟） 默认 120分钟
     */
    private Integer beforePunchTimeUpWork;
    /**
     * 上班后打卡时间（分钟） 默认 120分钟
     */
    private Integer afterPunchTimeUpWork;
    /**
     * 下班前打卡时间（分钟） 默认 120分钟
     */
    private Integer beforePunchTimeDownWork;
    /**
     * 下班后打卡时间（分钟） 默认 120分钟
     */
    private Integer afterPunchTimeDownWork;

}