package cn.iocoder.yudao.module.system.service.attendance.fixed;

import javax.validation.*;
import cn.iocoder.yudao.module.system.controller.admin.fixed.vo.*;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.fixed.AttendanceFixedDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 固定班制考勤设置 Service 接口
 *
 * @author 艾楷
 */
public interface AttendanceFixedService {

    /**
     * 创建固定班制考勤设置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createFixed(@Valid AttendanceFixedSaveReqVO createReqVO);

    /**
     * 更新固定班制考勤设置
     *
     * @param updateReqVO 更新信息
     */
    void updateFixed(@Valid AttendanceFixedSaveReqVO updateReqVO);

    /**
     * 删除固定班制考勤设置
     *
     * @param id 编号
     */
    void deleteFixed(Long id);

    /**
     * 获得固定班制考勤设置
     *
     * @param id 编号
     * @return 固定班制考勤设置
     */
    AttendanceFixedDO getFixed(Long id);

    /**
     * 获得固定班制考勤设置分页
     *
     * @param pageReqVO 分页查询
     * @return 固定班制考勤设置分页
     */
    PageResult<AttendanceFixedDO> getFixedPage(AttendanceFixedPageReqVO pageReqVO);

    /**
     * 通过考勤组id+周几 获取固定班制考勤设置
     * @param attendanceGroupId
     * @param week
     * @return
     */
    AttendanceFixedDO getByGroupIdAndWeek(Long attendanceGroupId, Integer week);
}